# StatefulSFTPClient (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.sftp
Class StatefulSFTPClient

    java.lang.Object
      net.schmizz.sshj.sftp.SFTPClient
          net.schmizz.sshj.sftp.StatefulSFTPClient

All Implemented Interfaces:
  Closeable

    public class StatefulSFTPClient

extends SFTPClient

Field Summary

Fields inherited from class net.schmizz.sshj.sftp.SFTPClient
`engine, log, xfer`

Constructor Summary
`StatefulSFTPClient(SFTPEngine engine)`

Method Summary
`String` `canonicalize(String path)`
`void` `cd(String dirname)`
`void` `get(String source, String dest)`
`List<RemoteResourceInfo>` `ls()`
`List<RemoteResourceInfo>` `ls(RemoteResourceFilter filter)`
`List<RemoteResourceInfo>` `ls(String path)`
`List<RemoteResourceInfo>` `ls(String path, RemoteResourceFilter filter)`
`FileAttributes` `lstat(String path)`
`void` `mkdir(String dirname)`
`void` `mkdirs(String path)`
`RemoteFile` `open(String filename)`
`RemoteFile` `open(String filename, Set<OpenMode> mode)`
`RemoteFile` `open(String filename, Set<OpenMode> mode, FileAttributes attrs)`
`void` `put(String source, String dest)`
`String` `pwd()`
`String` `readlink(String path)`
`void` `rename(String oldpath, String newpath)`
`void` `rm(String filename)`
`void` `rmdir(String dirname)`
`void` `setattr(String path, FileAttributes attrs)`
`FileAttributes` `stat(String path)`
`FileAttributes` `statExistence(String path)`
`void` `symlink(String linkpath, String targetpath)`
`void` `truncate(String path, long size)`

Methods inherited from class net.schmizz.sshj.sftp.SFTPClient
`atime, chgrp, chmod, chown, close, get, getFileTansfer, getSFTPEngine, gid, mode, mtime, perms, put, size, type, uid, version`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSFTPClient

    public StatefulSFTPClient(SFTPEngine engine)
                       throws IOException

Throws:
  `IOException`

Method Detail

### cd

    public void cd(String dirname)
            throws IOException

  Throws:
    `IOException`

### ls

    public List<RemoteResourceInfo> ls()
                                throws IOException

  Throws:
    `IOException`

### ls

    public List<RemoteResourceInfo> ls(RemoteResourceFilter filter)
                                throws IOException

  Throws:
    `IOException`

### pwd

    public String pwd()
               throws IOException

  Throws:
    `IOException`

### ls

    public List<RemoteResourceInfo> ls(String path)
                                throws IOException

  Overrides:
    `ls` in class `SFTPClient`
  Throws:
    `IOException`

### ls

    public List<RemoteResourceInfo> ls(String path,
                                       RemoteResourceFilter filter)
                                throws IOException

  Overrides:
    `ls` in class `SFTPClient`
  Throws:
    `IOException`

### open

    public RemoteFile open(String filename,
                           Set<OpenMode> mode,
                           FileAttributes attrs)
                    throws IOException

  Overrides:
    `open` in class `SFTPClient`
  Throws:
    `IOException`

### open

    public RemoteFile open(String filename,
                           Set<OpenMode> mode)
                    throws IOException

  Overrides:
    `open` in class `SFTPClient`
  Throws:
    `IOException`

### open

    public RemoteFile open(String filename)
                    throws IOException

  Overrides:
    `open` in class `SFTPClient`
  Throws:
    `IOException`

### mkdir

    public void mkdir(String dirname)
               throws IOException

  Overrides:
    `mkdir` in class `SFTPClient`
  Throws:
    `IOException`

### mkdirs

    public void mkdirs(String path)
                throws IOException

  Overrides:
    `mkdirs` in class `SFTPClient`
  Throws:
    `IOException`

### statExistence

    public FileAttributes statExistence(String path)
                                 throws IOException

  Overrides:
    `statExistence` in class `SFTPClient`
  Throws:
    `IOException`

### rename

    public void rename(String oldpath,
                       String newpath)
                throws IOException

  Overrides:
    `rename` in class `SFTPClient`
  Throws:
    `IOException`

### rm

    public void rm(String filename)
            throws IOException

  Overrides:
    `rm` in class `SFTPClient`
  Throws:
    `IOException`

### rmdir

    public void rmdir(String dirname)
               throws IOException

  Overrides:
    `rmdir` in class `SFTPClient`
  Throws:
    `IOException`

### symlink

    public void symlink(String linkpath,
                        String targetpath)
                 throws IOException

  Overrides:
    `symlink` in class `SFTPClient`
  Throws:
    `IOException`

### setattr

    public void setattr(String path,
                        FileAttributes attrs)
                 throws IOException

  Overrides:
    `setattr` in class `SFTPClient`
  Throws:
    `IOException`

### readlink

    public String readlink(String path)
                    throws IOException

  Overrides:
    `readlink` in class `SFTPClient`
  Throws:
    `IOException`

### stat

    public FileAttributes stat(String path)
                        throws IOException

  Overrides:
    `stat` in class `SFTPClient`
  Throws:
    `IOException`

### lstat

    public FileAttributes lstat(String path)
                         throws IOException

  Overrides:
    `lstat` in class `SFTPClient`
  Throws:
    `IOException`

### truncate

    public void truncate(String path,
                         long size)
                  throws IOException

  Overrides:
    `truncate` in class `SFTPClient`
  Throws:
    `IOException`

### canonicalize

    public String canonicalize(String path)
                        throws IOException

  Overrides:
    `canonicalize` in class `SFTPClient`
  Throws:
    `IOException`

### get

    public void get(String source,
                    String dest)
             throws IOException

  Overrides:
    `get` in class `SFTPClient`
  Throws:
    `IOException`

### put

    public void put(String source,
                    String dest)
             throws IOException

  Overrides:
    `put` in class `SFTPClient`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.